E-MailRelay

Public Member Functions | Static Public Member Functions | List of all members
GSmtp::ServerProtocolText Class Reference

A default implementation for the ServerProtocol::Text interface. More...

`#include <gsmtpserverprotocol.h>`

Inheritance diagram for GSmtp::ServerProtocolText:

## Public Member Functions
| ServerProtocolText (const std::string &code_ident, const std::string &thishost, const GNet::Address &peer_address)
| Constructor. More...
| ServerProtocolText (const ServerProtocolText &)=delete
| ServerProtocolText (ServerProtocolText &&)=delete
void | operator= (const ServerProtocolText &)=delete
void | operator= (ServerProtocolText &&)=delete
Public Member Functions inherited from GSmtp::ServerProtocol::Text
virtual std::string | greeting () const =0
| Returns a system identifier for the initial greeting. More...
virtual std::string | hello (const std::string &smtp_peer_name) const =0
| Returns a hello response. More...
virtual std::string | received (const std::string &smtp_peer_name, bool auth, bool secure, const std::string &protocol, const std::string &cipher) const =0
| Returns a complete 'Received' line. More...
virtual | ~Text ()=default
| Destructor.

## Static Public Member Functions
static std::string | receivedLine (const std::string &smtp_peer_name_from_helo, const std::string &peer_address, const std::string &thishost, bool authenticated, bool secure, const std::string &secure_protocol, const std::string &secure_cipher)
| Returns a standard "Received:" line. More...

## Detailed Description

A default implementation for the ServerProtocol::Text interface.

Definition at line 356 of file gsmtpserverprotocol.h.

## Constructor & Destructor Documentation

## ◆ ServerProtocolText()

GSmtp::ServerProtocolText::ServerProtocolText | ( | const std::string & | code_ident,
|  | const std::string & | thishost,
|  | const GNet::Address & | peer_address
| ) |  |

Constructor.

Definition at line 1008 of file gsmtpserverprotocol.cpp.

## Member Function Documentation

## ◆ receivedLine()

std::string GSmtp::ServerProtocolText::receivedLine | ( | const std::string & | smtp_peer_name_from_helo,
|  | const std::string & | peer_address,
|  | const std::string & | thishost,
|  | bool | authenticated,
|  | bool | secure,
|  | const std::string & | secure_protocol,
|  | const std::string & | secure_cipher
| ) |  |
| static

Returns a standard "Received:" line.

Definition at line 1033 of file gsmtpserverprotocol.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gsmtpserverprotocol.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gsmtpserverprotocol.cpp